<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <script src="https://code.jquery.com/jquery-3.1.1.min.js"></script>
    <!--Data-->
    <script src="js/data.js"></script>
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
    <!--Style CSS-->
    <link rel="stylesheet" href="css/style.css">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.4.0/css/font-awesome.min.css" rel='stylesheet' type='text/css'>


    <title>Especialidades</title>
  </head>
  
  <body>
    <section>
      <div class="col-12">
        <p><span>Especialidades</span></p>
        <div class="col-12 align-right">
          <button type="button" class="btn btn-outline-dark active-grid">Exibir Grade Ativa</button>
          <!-- Button trigger modal -->
          <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#modalEspecialidade">Nova Especialidade</button>
        </div>
        <div class="col-12 filter-box" id="teste">
          <form id="form-filter" class="col-md-12">
            <div class="form-row">
              <div class="form-group col-md-3">
                <label for="selectCode">Código</label>
                <select id="selectCode" class="form-control" name="code">
                </select>
              </div>
              <div class="form-group col-md-3">
                <label for="selectLine">Linha</label>
                <select id="selectLine" class="form-control" name="line">
                </select>
              </div>
              <div class="form-group col-md-6">
                <label for="inputName">Nome</label>
                <input type="text" class="form-control" id="inputName" name="name">
              </div>
            </div>
            <button type="reset" value="limpar filtro" class="btn">Limpar Filtro</button>
            <button type="submit" value="filtrar" id="submit" class="btn right">Filtrar</button>
          </form>
        </div>
      </div>
    </section>
    <section>
      <div class="col-12 bg">
        <div class="col-12 box-gray msg">
          <p><em class="fa fa-search"></em></p>
          <p>Utilize os filtros acima para exibir especialidades, ou</p>
          <button type="button" class="btn btn-primary active-grid">Exibir Grade Ativa</button>
        </div>
        <div class="col-12 box-gray loading">
          <div class="fake-gif">
            <div class="right-to-left"></div>
          </div>
          <p>Aplicando filtros...</p>
        </div>
      </div>
    </section>
    <section>
      <div class="col-12 table-responsive">
        <table class="table table-striped" id="table">
          <thead>
            <tr>
                <th><input type="checkbox" class="checkAll" name="checkAll" /></th>
                <th data-field="code">Código</th>
                <th data-field="name">Nome</th>
                <th data-field="line">Linha</th>
                <th data-field="slides">Slides</th>
                <th data-field="currentdegree">Grade Atual</th>
                <th data-field="historic">Histórico</th>
                <th><a class="btn btn-link" id="remove-checked-items" data-toggle="modal" data-target="#modalDelete"><em class="fa fa-trash"></em></a></th>
            </tr>
          </thead>
          <tbody id="tbody">

          </tbody>
        </table>
        <div class="col-12" id="btn-load-more">

        </div>
      </div>
    </section>
    <!-- Modal Nova Especialidade-->
    <div class="modal fade" id="modalEspecialidade" tabindex="-1" role="dialog" aria-labelledby="modalEspecialidade" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLongTitle">Nova Especialidade</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form class="col-md-12">
              <div class="form-row">
                <div class="form-group col-md-8">
                  <label for="recipient-name" class="col-form-label">Nome</label>
                  <input type="text" class="form-control" id="recipient-name">
                </div>
                <div class="form-group col-md-4">
                  <label for="recipient-code" class="col-form-label">Código</label>
                  <input type="text" class="form-control" id="recipient-code">
                </div>              
                <div class="form-group col-md-12">
                  <label for="modal-select-line" class="col-form-label">Linha</label>
                  <select id="modalselectLine" class="form-control" name="line">
                  </select>
                </div>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-outline-dark cancel" data-dismiss="modal">Cancelar</button>
            <button type="button" class="btn btn-primary" data-dismiss="modal">Criar Especialidade</button>
          </div>
        </div>
      </div>
    </div>
    <!-- Modal Editar Especialidade-->
    <div class="modal fade" id="modaleditarEspecialidade" tabindex="-1" role="dialog" aria-labelledby="modaleditarEspecialidade" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLongTitle">Editar Especialidade</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form class="col-md-12">
              <div class="form-row">
                <div class="form-group col-md-8">
                  <label for="recipient-name" class="col-form-label">Nome</label>
                  <input type="text" class="form-control" id="recipient-name">
                </div>
                <div class="form-group col-md-4">
                  <label for="recipient-code" class="col-form-label">Código</label>
                  <input type="text" class="form-control" id="recipient-code">
                </div>              
                <div class="form-group col-md-12">
                  <label for="modal-select-line" class="col-form-label">Linha</label>
                  <select id="modalselectLine" class="form-control" name="line">
                  </select>
                </div>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-outline-dark cancel" data-dismiss="modal">Cancelar</button>
            <button type="button" class="btn btn-primary" data-dismiss="modal">Salvar Especialidade</button>
          </div>
        </div>
      </div>
    </div>
    <!-- Modal Exclusão de itens-->
    <div class="modal fade" id="modalDelete" tabindex="-1" role="dialog" aria-labelledby="modalDelete" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLongTitle">Excluir Especialidade Selecionadas?</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-outline-dark cancel" data-dismiss="modal">Cancelar</button>
            <button type="button" id="remove-checked" class="btn btn-danger excluir" data-dismiss="modal">Excluir</button>
          </div>
        </div>
      </div>
    </div>
    <!-- Modal Exclusão de item-->
    <div class="modal fade" id="modalitemDelete" tabindex="-1" role="dialog" aria-labelledby="modalitemDelete" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLongTitle">Excluir Especialidade</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-outline-dark cancel" data-dismiss="modal">Cancelar</button>
            <button type="button" id="remove-item" class="btn btn-danger remove-item" data-dismiss="modal">Excluir</button>
          </div>
        </div>
      </div>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
  </body>
</html> 